Skip to main content
GET
/
2
/
teams
/
{teamSlug}
/
api-keys
List all API Keys
curl --request GET \
  --url https://api.honeycomb.io/2/teams/{teamSlug}/api-keys \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "hcxik_12345678901234567890123456",
      "type": "api-keys",
      "attributes": {
        "key_type": "ingest",
        "name": "us-west-2 collectors key",
        "time_to_live": "2025-11-19T18:01:02+00:00",
        "disabled": false,
        "permissions": {
          "create_datasets": false
        },
        "timestamps": {
          "created": "2022-09-22T17:32:11Z",
          "updated": "2022-10-31T15:08:11Z"
        }
      },
      "relationships": {
        "environment": {
          "data": {
            "id": "hxenv_12345678901234567890123456",
            "type": "environments"
          }
        },
        "creator": {
          "data": {
            "id": "<string>",
            "type": "users"
          }
        },
        "editor": {
          "data": {
            "id": "<string>",
            "type": "users"
          }
        }
      },
      "links": {
        "self": "/2/teams/my-team/api-keys/hcxik_12345678901234567890123456"
      }
    }
  ],
  "links": {
    "next": "/2/teams/my-team/api-keys?page[after]=3025fa645ad1100d&page[size]=10"
  }
}

Authorizations

Authorization
string
header
required

A Honeycomb Management Key is required to use this API.

The token should be passed in the "Authorization" header, and the secret should be prefixed with "Bearer " followed by the API Key's ID and secret, separated by a colon.

For example, Authorization: Bearer hcxmk_12345678901234567890123456:12345678901234567890123456789012

More information can be found in the Manage API Keys documentation.

Path Parameters

teamSlug
string
required

The slug of the Team

Query Parameters

page[after]
string

The string value of the next attribute from a previous result page. The cursor value must be empty or omitted for the first request of a cursor-paginated query.

page[size]
number
default:20

The number of entries to include per response. Maximum value is 100.

Required range: 1 <= x <= 100
filter[type]
enum<string>

Specifies the type of API key to return. This parameter accepts the following values:

  • ingest: Returns only ingest API keys.
  • configuration: Returns only configuration API keys.

The endpoint will default to fetching all API keys regardless of type if this filter is omitted.

Available options:
configuration,
ingest

Response

Success

data
object[]
required

Links to iterate through the pages of results.